JavaDefinitionWriter (Axis API)
Keywords: org.apache.axis.wsdl.toJava.JavaDefinitionWriter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.toJava
Class JavaDefinitionWriter

    java.lang.Object
      org.apache.axis.wsdl.toJava.JavaDefinitionWriter

All Implemented Interfaces:
  Generator

public class JavaDefinitionWriter
extends java.lang.Object
implements Generator

This is Wsdl2java's Definition Writer. It currently writes the following files: Faults as needed.

Field Summary
`protected javax.wsdl.Definition` | `definition` Field definition
`protected Emitter` | `emitter` Field emitter
`protected SymbolTable` | `symbolTable` Field symbolTable

Constructor Summary
`JavaDefinitionWriter(Emitter emitter, javax.wsdl.Definition definition, SymbolTable symbolTable)` Constructor.

Method Summary
`void` | `generate()` Write other items from the definition as needed.
`protected void` | `writeFaults()` Write all the simple type faults.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### emitter

    protected Emitter emitter

  Field emitter

### definition

    protected javax.wsdl.Definition definition

  Field definition

### symbolTable

    protected SymbolTable symbolTable

  Field symbolTable

Constructor Detail

### JavaDefinitionWriter

    public JavaDefinitionWriter(Emitter emitter,
                                javax.wsdl.Definition definition,
                                SymbolTable symbolTable)

  Constructor.

Parameters:
  `emitter` -
  `definition` -
  `symbolTable` -

Method Detail

### generate

    public void generate()
                  throws java.io.IOException

  Write other items from the definition as needed.

  Specified by:
    `generate` in interface `Generator`
  Throws:
    `java.io.IOException`

### writeFaults

    protected void writeFaults()
                        throws java.io.IOException

  Write all the simple type faults. The complexType Faults are automatically handled by JavaTypeWriter. The fault name is derived from the fault message name per JAX-RPC

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.